# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'UI/controller.ui'
#
# Created by: PyQt5 UI code generator 5.15.4
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1536, 756)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.actions_list = QtWidgets.QListWidget(self.centralwidget)
        self.actions_list.setGeometry(QtCore.QRect(1280, 40, 241, 381))
        self.actions_list.setAcceptDrops(True)
        self.actions_list.setDragEnabled(True)
        self.actions_list.setDefaultDropAction(QtCore.Qt.MoveAction)
        self.actions_list.setAlternatingRowColors(True)
        self.actions_list.setObjectName("actions_list")
        self.camera_label = QtWidgets.QLabel(self.centralwidget)
        self.camera_label.setGeometry(QtCore.QRect(350, 10, 121, 16))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.camera_label.setFont(font)
        self.camera_label.setObjectName("camera_label")
        self.next_img_button = QtWidgets.QPushButton(self.centralwidget)
        self.next_img_button.setGeometry(QtCore.QRect(480, 680, 121, 28))
        self.next_img_button.setObjectName("next_img_button")
        self.prev_img_button = QtWidgets.QPushButton(self.centralwidget)
        self.prev_img_button.setGeometry(QtCore.QRect(260, 680, 121, 28))
        self.prev_img_button.setObjectName("prev_img_button")
        self.commands_combo_box = QtWidgets.QComboBox(self.centralwidget)
        self.commands_combo_box.setGeometry(QtCore.QRect(1280, 430, 241, 22))
        self.commands_combo_box.setObjectName("commands_combo_box")
        self.add_command_button = QtWidgets.QPushButton(self.centralwidget)
        self.add_command_button.setGeometry(QtCore.QRect(1280, 460, 121, 28))
        self.add_command_button.setObjectName("add_command_button")
        self.ip_text_box = QtWidgets.QLineEdit(self.centralwidget)
        self.ip_text_box.setGeometry(QtCore.QRect(1280, 640, 118, 22))
        self.ip_text_box.setObjectName("ip_text_box")
        self.label = QtWidgets.QLabel(self.centralwidget)
        self.label.setGeometry(QtCore.QRect(1370, 20, 61, 16))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.label.setFont(font)
        self.label.setObjectName("label")
        self.delete_command_button = QtWidgets.QPushButton(self.centralwidget)
        self.delete_command_button.setGeometry(QtCore.QRect(1402, 460, 121, 28))
        self.delete_command_button.setObjectName("delete_command_button")
        self.connect_button = QtWidgets.QPushButton(self.centralwidget)
        self.connect_button.setGeometry(QtCore.QRect(1280, 670, 241, 28))
        self.connect_button.setObjectName("connect_button")
        self.ip_label = QtWidgets.QLabel(self.centralwidget)
        self.ip_label.setGeometry(QtCore.QRect(1330, 620, 55, 16))
        self.ip_label.setObjectName("ip_label")
        self.port_text_box = QtWidgets.QLineEdit(self.centralwidget)
        self.port_text_box.setGeometry(QtCore.QRect(1410, 640, 111, 22))
        self.port_text_box.setObjectName("port_text_box")
        self.port_label = QtWidgets.QLabel(self.centralwidget)
        self.port_label.setGeometry(QtCore.QRect(1450, 620, 55, 16))
        self.port_label.setObjectName("port_label")
        self.move_value_text_box = QtWidgets.QLineEdit(self.centralwidget)
        self.move_value_text_box.setGeometry(QtCore.QRect(1280, 500, 241, 22))
        self.move_value_text_box.setObjectName("move_value_text_box")
        self.send_button = QtWidgets.QPushButton(self.centralwidget)
        self.send_button.setGeometry(QtCore.QRect(1280, 530, 241, 28))
        self.send_button.setObjectName("send_button")
        self.camera_image_label = QtWidgets.QLabel(self.centralwidget)
        self.camera_image_label.setGeometry(QtCore.QRect(10, 30, 800, 600))
        self.camera_image_label.setText("")
        self.camera_image_label.setObjectName("camera_image_label")
        self.vehicle_image_label = QtWidgets.QLabel(self.centralwidget)
        self.vehicle_image_label.setGeometry(QtCore.QRect(910, 110, 270, 480))
        self.vehicle_image_label.setText("")
        self.vehicle_image_label.setObjectName("vehicle_image_label")
        self.label_2 = QtWidgets.QLabel(self.centralwidget)
        self.label_2.setGeometry(QtCore.QRect(1360, 600, 81, 16))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.label_2.setFont(font)
        self.label_2.setObjectName("label_2")
        self.front_label = QtWidgets.QLabel(self.centralwidget)
        self.front_label.setGeometry(QtCore.QRect(990, 120, 121, 20))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.front_label.setFont(font)
        self.front_label.setObjectName("front_label")
        self.back_label = QtWidgets.QLabel(self.centralwidget)
        self.back_label.setGeometry(QtCore.QRect(990, 550, 111, 20))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.back_label.setFont(font)
        self.back_label.setObjectName("back_label")
        self.left_label = QtWidgets.QLabel(self.centralwidget)
        self.left_label.setGeometry(QtCore.QRect(840, 360, 91, 21))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.left_label.setFont(font)
        self.left_label.setObjectName("left_label")
        self.right_label = QtWidgets.QLabel(self.centralwidget)
        self.right_label.setGeometry(QtCore.QRect(1150, 360, 101, 21))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.right_label.setFont(font)
        self.right_label.setObjectName("right_label")
        self.temperature_label = QtWidgets.QLabel(self.centralwidget)
        self.temperature_label.setGeometry(QtCore.QRect(840, 610, 181, 16))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.temperature_label.setFont(font)
        self.temperature_label.setObjectName("temperature_label")
        self.humidity_label = QtWidgets.QLabel(self.centralwidget)
        self.humidity_label.setGeometry(QtCore.QRect(841, 632, 171, 16))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.humidity_label.setFont(font)
        self.humidity_label.setObjectName("humidity_label")
        self.air_pressure_label = QtWidgets.QLabel(self.centralwidget)
        self.air_pressure_label.setGeometry(QtCore.QRect(840, 653, 181, 21))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.air_pressure_label.setFont(font)
        self.air_pressure_label.setObjectName("air_pressure_label")
        self.light_intensity_label = QtWidgets.QLabel(self.centralwidget)
        self.light_intensity_label.setGeometry(QtCore.QRect(840, 675, 191, 21))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.light_intensity_label.setFont(font)
        self.light_intensity_label.setObjectName("light_intensity_label")
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 1536, 21))
        self.menubar.setObjectName("menubar")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)
        self.actionConnect = QtWidgets.QAction(MainWindow)
        self.actionConnect.setObjectName("actionConnect")

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.camera_label.setText(_translate("MainWindow", "Camera View"))
        self.next_img_button.setText(_translate("MainWindow", "Next"))
        self.prev_img_button.setText(_translate("MainWindow", "Previous"))
        self.add_command_button.setText(_translate("MainWindow", "Add"))
        self.ip_text_box.setText(_translate("MainWindow", "192.168.4.1"))
        self.ip_text_box.setPlaceholderText(_translate("MainWindow", "Time or angle"))
        self.label.setText(_translate("MainWindow", "Actions"))
        self.delete_command_button.setText(_translate("MainWindow", "Delete"))
        self.connect_button.setText(_translate("MainWindow", "Connect"))
        self.ip_label.setText(_translate("MainWindow", "IP"))
        self.port_text_box.setText(_translate("MainWindow", "10001"))
        self.port_text_box.setPlaceholderText(_translate("MainWindow", "Time or angle"))
        self.port_label.setText(_translate("MainWindow", "Port"))
        self.move_value_text_box.setPlaceholderText(_translate("MainWindow", "Time or angle"))
        self.send_button.setText(_translate("MainWindow", "Send"))
        self.label_2.setText(_translate("MainWindow", "Connection"))
        self.front_label.setText(_translate("MainWindow", "Front:"))
        self.back_label.setText(_translate("MainWindow", "Back:"))
        self.left_label.setText(_translate("MainWindow", "Left:"))
        self.right_label.setText(_translate("MainWindow", "Right:"))
        self.temperature_label.setText(_translate("MainWindow", "Temperature:"))
        self.humidity_label.setText(_translate("MainWindow", "Humidity:"))
        self.air_pressure_label.setText(_translate("MainWindow", "Air pressure:"))
        self.light_intensity_label.setText(_translate("MainWindow", "Light intensity"))
        self.actionConnect.setText(_translate("MainWindow", "Connect"))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    MainWindow = QtWidgets.QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
